INTERFACE
SUBROUTINE LAIDLI_INIT(KPROMA,KPROMB,KSTART,KPROF,KFLEV,KL0,&
 & KMAP,PSIGN ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMB
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KL0(KPROMB,KFLEV,1:2)
INTEGER(KIND=JPIM),INTENT(OUT) :: KMAP(KPROMB,4,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSIGN(KPROMB,4,KFLEV,2)
END SUBROUTINE LAIDLI_INIT
END INTERFACE
